package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONUtil;
import cn.sh.stc.sict.cloud.common.core.constant.enums.LoginTypeEnum;
import cn.sh.stc.sict.cloud.common.core.dto.WDUserCardInfo;
import cn.sh.stc.sict.cloud.common.core.dto.WDUserInfo;
import cn.sh.stc.sict.cloud.common.core.dto.XSZYUserInfo;
import cn.sh.stc.sict.cloud.common.core.util.NumberUtil;
import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.core.util.SsbUtil;
import cn.sh.stc.sict.cloud.common.security.util.SecurityUtils;
import cn.sh.stc.sict.theme.hphy.constant.PatientConstant;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;
import cn.sh.stc.sict.theme.hphy.service.HpStatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 黄埔医导统计
 *
 * @author gao
 * @date 2023/01/06 10:43
 */
@Api(value = "[黄浦]统计使用情况", tags = "[黄浦]统计使用情况")
@RestController
@RequestMapping("hpStatistics")
@AllArgsConstructor
@Slf4j
public class HpStatisticsController {

    private final HpStatisticsService hpStatisticsService;

    @ApiOperation("统计用户使用情况")
    @GetMapping("/usage-overview")
    public R statisticsUsage(@RequestParam("startTime") String startTime,
                             @RequestParam("endTime") String endTime) {
        log.error("统计用户使用情况：startTime = {}, token = {}", startTime, endTime);
        return new R(hpStatisticsService.getUsageOverviewStatistics(startTime, endTime));
    }

}
