package cn.sh.stc.sict.theme.hphy.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 患者-家庭成员关系表(HphyPatientRelation)表实体类
 *
 * @author F_xh
 * @since 2022-10-10 14:41:03
 */
@Data
@SuppressWarnings("serial")
@EqualsAndHashCode(callSuper = true)
public class HphyPatientRelation extends Model<HphyPatientRelation> {
    private Long id;
    private Long sourcePatientId;
    private Long targetPatientId;
    private String relationCode;
    private String relationName;
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    @TableField(fill = FieldFill.INSERT)
    private String createUserName;
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;
    @TableField(fill = FieldFill.INSERT)
    private String updateUserName;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}